Redmine - Defect #6370

UTF-8 BOM only partially hidden
2010-09-12 15:31 - Barnabés Kralik

Status: Closed Start date: 2010-09-12
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Attachments Estimated time: 0.00 hour

Target version:

Resolution: Cant reproduce Affected version:

Description
We are using revision r4083.

When displaying a text file (the extension of which is not known by coderay) that is encoded as UTF-8 with standard 3-byte BOM,
only the first 2 bytes are cut off and the third byte, bf is rendered as "[".

Standard unix xxd outputs the following for the file visible in the attached screen shot:

$:~/aarghr$ head -n3 Parser.fs | xxd

0000000: efbb bf6f 7065 6e20 5379 7374 656d 0d0a ...open System..
0000010: 6f70 656e 2053 7973 7465 6d2e 586d 6¢c0d open System.Xml.
0000020: 0a0Od Oa

Related issues:
Related to Redmine - Feature #2209: MIME type support for repository Entries Closed 2008-11-17

History

#1 - 2011-03-29 06:14 - Toshi MARUYAMA
- Category deleted (Core Plugins)

#2 - 2015-10-02 03:25 - Go MAEDA
- File test-result-r14637.png added

- Status changed from New to Needs feedback

No problem in Redmine 3.1.1.devel.14637.
Can we close this?

root / text-with-bom.txt

History | View | Annotate | Download (16 Bytes)

foo bar baz

$ xxd -gl text-with-bom.txt
0000000: ef bb bf 66 6f 6f 20 62 61 72 20 62 61 7a 0a 0a ...foo bar baz..

#3 - 2022-01-13 15:13 - Go MAEDA
- Category set to Attachments
- Status changed from Needs feedback to Closed

- Resolution set to Cant reproduce

Files
Névtelen.png 17.8 KB 2010-09-12 Barnabas Kralik
test-result-r14637.png 14 KB 2015-10-02 Go MAEDA
